import * as iam from '@aws-cdk/aws-iam';
import * as cr from '@aws-cdk/custom-resources';
import { Construct } from '@aws-cdk/core';
/**
 * Construction properties for ElasticsearchAccessPolicy
 */
export interface ElasticsearchAccessPolicyProps {
    /**
     * The Elasticsearch Domain name
     */
    readonly domainName: string;
    /**
     * The Elasticsearch Domain ARN
     */
    readonly domainArn: string;
    /**
     * The access policy statements for the Elasticsearch cluster
     */
    readonly accessPolicies: iam.PolicyStatement[];
}
/**
 * Creates LogGroup resource policies.
 */
export declare class ElasticsearchAccessPolicy extends cr.AwsCustomResource {
    constructor(scope: Construct, id: string, props: ElasticsearchAccessPolicyProps);
}
